using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace L2
{
    class Program
    {
        unsafe static void Main(string[] args)
        {
            int x = 20;
            {
                int y = 30;
            }
            int* pX = &x;
            *pX = 50;
            Console.WriteLine("Address of pX is 0x{0:X}, size is {1}, value is 0x{2:X}",
            (uint)&pX, sizeof(int*), (uint)pX);
            Console.WriteLine("Address of x is 0x{0:X}, value is {1}",
            (uint)&x, x);
            Console.Read();
        }
    }
}
